Package com.xebialabs.xlrelease.configuration

## Class CustomLogoSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.CustomLogoSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false,
                description="Logo file (recommended size 24*100px)")
      public class CustomLogoSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CUSTOM_LOGO_SETTINGS_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomLogoSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContent()` |
    `java.lang.String` | `getContentType()` |
    `java.lang.String` | `getFilename()` |
    `void` | `setContent​(java.lang.String content)` |
    `void` | `setContentType​(java.lang.String contentType)` |
    `void` | `setFilename​(java.lang.String filename)` |
    `void` | `validateContentType()` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CUSTOM_LOGO_SETTINGS_ID

          public static final java.lang.String CUSTOM_LOGO_SETTINGS_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomLogoSettings

          public CustomLogoSettings()

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

    - #### setFilename

          public void setFilename​(java.lang.String filename)

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType​(java.lang.String contentType)

    - #### getContent

          public java.lang.String getContent()

    - #### setContent

          public void setContent​(java.lang.String content)

    - #### validateContentType

          public void validateContentType()